View Issue Details

IDProjectCategoryView StatusLast Update
0007956Talermerchant backoffice SPApublic2024-02-10 12:33
Reportersebasjm Assigned Tosebasjm  
PrioritynormalSeverityfeatureReproducibilityalways
Status confirmedResolutionopen 
Target Version0.9.5 
Summary0007956: allows templates to ONLY require a particular currency without also fixing a specific amount
Descriptionnow that merchant are multi-currency, an option should allow the user to specify just one currency for the template
TagsNo tags attached.

Relationships

child of 0008364 assignedChristian Grothoff test, package and upload merchant 0.9.5 to ftp and stable Debian/Ubuntu server 

Activities

sebasjm

2024-01-19 12:48

developer   ~0020923

We agreed to have repeated amount parameters:

 * taler://pay-template/host.com/id?amount=EUR:10&amount=NETZ:9 allows 2 currencies, with both default, amount set by the wallet
 * taler://pay-template/host.com/id?amount=EUR:10 allows just EUR, with default, amount set by the wallet, but can't input NETZBON
 * taler://pay-template/host.com/id?amount=EUR:10&amount=NETZEUR with default, allows NETZ without default value.

and this is only when there is not FIXED price, if the price if fixed no amount parameter will be set and the price will be defined after the order is created. This mean that in the template form (and backend DB) when the price is fixed it should be fixed for every currency that the template support (subset of what merchant support)

Issue History

Date Modified Username Field Change
2023-10-14 05:06 sebasjm New Issue
2023-10-14 05:06 sebasjm Status new => assigned
2023-10-14 05:06 sebasjm Assigned To => sebasjm
2024-01-19 12:48 sebasjm Note Added: 0020923
2024-01-19 12:49 sebasjm Status assigned => confirmed
2024-02-10 00:20 Christian Grothoff Relationship added child of 0008353
2024-02-10 12:33 Christian Grothoff Relationship deleted child of 0008353
2024-02-10 12:33 Christian Grothoff Relationship added child of 0008364